require 'rspec'
require 'disiid_user'
require 'active_record/errors'

##
# keep compatibility to rspec 2.x
module DoubleAliases
  def mock(*args, &block)
    double(*args, &block)
  end
  alias stub mock
end

RSpec.configure do |config|
  config.include DoubleAliases
  config.color = true
  config.formatter     = 'documentation'
  # keep compatibility to rspec 2.x
  config.expect_with :rspec do |c|
    c.syntax = [:should, :expect]
  end
  # keep compatibility to rspec 2.x
  config.mock_with :rspec do |c|
    c.syntax = [:should, :expect]
  end
end
